<?php
declare(strict_types=1);

/**
 * Pimcore
 *
 * This source file is available under two different licenses:
 * - GNU General Public License version 3 (GPLv3)
 * - Pimcore Commercial License (PCL)
 * Full copyright and license information is available in
 * LICENSE.md which is distributed with this source code.
 *
 *  @copyright  Copyright (c) Pimcore GmbH (http://www.pimcore.org)
 *  @license    http://www.pimcore.org/license     GPLv3 and PCL
 */

return [
    'en' => [
        'US',
        'IN',
        'PK',
        'NG',
        'PH',
        'GB',
        'TZ',
        'CA',
        'SD',
        'AU',
        'ZA',
        'MW',
        'CM',
        'KE',
        'BE',
        'ZW',
        'GH',
        'SG',
        'IE',
        'NZ',
        'MG',
        'ER',
        'HK',
        'LR',
        'PG',
        'SS',
        'JM',
        'ZM',
        'SL',
        'RW',
        'BW',
        'PR',
        'SZ',
        'UG',
        'TT',
        'MU',
        'FJ',
        'GM',
        'GY',
        'SB',
        'LS',
        'MT',
        'BZ',
        'BS',
        'BB',
        'VU',
        'NA',
        'LC',
        'GU',
        'GD',
        'KI',
        'VC',
        'JE',
        'IM',
        'AG',
        'VI',
        'DM',
        'MH',
        'GG',
        'BM',
        'FM',
        'KY',
        'AS',
        'KN',
        'MP',
        'TC',
        'SC',
        'VG',
        'TO',
        'SX',
        'GI',
        'AI',
        'MO',
        'CK',
        'NR',
        'SH',
        'WS',
        'MS',
        'IO',
        'FK',
        'PW',
        'NF',
        'CX',
        'TK',
        'NU',
        'TV',
        'DG',
        'UM',
        'CC',
        'PN',
    ],
    'ca' => [
        'ES',
        'AD',
        'FR',
        'IT',
    ],
    'es' => [
        'MX',
        'ES',
        'CO',
        'AR',
        'PH',
        'US',
        'VE',
        'PE',
        'CL',
        'EC',
        'GT',
        'CU',
        'DO',
        'HN',
        'BO',
        'SV',
        'NI',
        'CR',
        'PR',
        'UY',
        'PA',
        'IC',
        'GQ',
        'PY',
        'EA',
    ],
    'fr' => [
        'FR',
        'MG',
        'CM',
        'CI',
        'TN',
        'DZ',
        'ML',
        'CA',
        'MA',
        'BI',
        'SN',
        'NE',
        'TG',
        'BE',
        'BF',
        'CG',
        'BJ',
        'GN',
        'TD',
        'CF',
        'CD',
        'CH',
        'GA',
        'SY',
        'RE',
        'MR',
        'LU',
        'KM',
        'MQ',
        'GP',
        'HT',
        'NC',
        'PF',
        'GF',
        'VU',
        'YT',
        'GQ',
        'SC',
        'MU',
        'MF',
        'MC',
        'DJ',
        'WF',
        'BL',
        'PM',
        'RW',
    ],
    'ar' => [
        'EG',
        'DZ',
        'SA',
        'IQ',
        'SD',
        'MA',
        'YE',
        'SY',
        'TN',
        'JO',
        'LB',
        'LY',
        'PS',
        'AE',
        'SO',
        'SS',
        'MR',
        'KW',
        'OM',
        'TD',
        'QA',
        'IL',
        'BH',
        'EH',
        'KM',
        'ER',
        'DJ',
    ],
    'ml' => [
        'IN',
    ],
    'ps' => [
        'AF',
    ],
    'fa' => [
        'IR',
        'AF',
    ],
    'uz_Arab' => [
        'AF',
    ],
    'ug_Arab' => [
        'CN',
    ],
    'kk_Arab' => [

    ],
    'pt' => [
        'BR',
        'AO',
        'PT',
        'MZ',
        'GW',
        'TL',
        'CV',
        'ST',
        'MO',
    ],
    'sq' => [
        'AL',
        'XK',
        'MK',
    ],
    'el' => [
        'GR',
        'CY',
    ],
    'mk' => [
        'MK',
    ],
    'hy' => [
        'AM',
    ],
    'az_Latn' => [
        'AZ',
    ],
    'ln' => [
        'CD',
        'CG',
        'AO',
        'CF',
    ],
    'cy' => [
        'GB',
    ],
    'de' => [
        'DE',
        'AT',
        'CH',
        'LU',
        'BE',
        'LI',
    ],
    'hr' => [
        'HR',
        'BA',
    ],
    'sl' => [
        'SI',
    ],
    'hu' => [
        'HU',
    ],
    'zh_Hant' => [
        'TW',
        'HK',
        'MO',
    ],
    'it' => [
        'IT',
        'CH',
        'SM',
    ],
    'nl' => [
        'NL',
        'BE',
        'SR',
        'AW',
        'CW',
        'BQ',
        'SX',
    ],
    'sv' => [
        'SE',
        'FI',
        'AX',
    ],
    'az_Cyrl' => [
        'AZ',
    ],
    'bs_Cyrl' => [
        'BA',
    ],
    'bs_Latn' => [
        'BA',
    ],
    'sr_Cyrl' => [
        'RS',
        'BA',
        'XK',
        'ME',
    ],
    'sr_Latn' => [
        'RS',
        'ME',
        'BA',
        'XK',
    ],
    'bn' => [
        'BD',
        'IN',
    ],
    'my' => [
        'MM',
    ],
    'bg' => [
        'BG',
    ],
    'tr' => [
        'TR',
        'CY',
    ],
    'rn' => [
        'BI',
    ],
    'sw' => [
        'TZ',
        'KE',
        'UG',
    ],
    'yo' => [
        'NG',
        'BJ',
    ],
    'ms_Latn' => [
        'MY',
        'SG',
        'BN',
    ],
    'ms_Arab' => [

    ],
    'ja' => [
        'JP',
    ],
    'ko' => [
        'KR',
        'KP',
    ],
    'dz' => [
        'BT',
    ],
    'ne' => [
        'NP',
        'IN',
    ],
    'tn' => [
        'ZA',
        'BW',
    ],
    'af' => [
        'ZA',
        'NA',
    ],
    'be' => [
        'BY',
    ],
    'ru' => [
        'RU',
        'UA',
        'KZ',
        'KG',
        'BY',
        'MD',
    ],
    'lu' => [
        'CD',
    ],
    'rw' => [
        'RW',
    ],
    'sg' => [
        'CF',
    ],
    'gsw' => [
        'CH',
        'LI',
    ],
    'rm' => [
        'CH',
    ],
    'wae' => [
        'CH',
    ],
    'ff' => [
        'GN',
        'SN',
        'CM',
        'MR',
    ],
    'ewo' => [
        'CM',
    ],
    'nnh' => [
        'CM',
    ],
    'bas' => [
        'CM',
    ],
    'mua' => [
        'CM',
    ],
    'kkj' => [
        'CM',
    ],
    'dua' => [
        'CM',
    ],
    'mgo' => [
        'CM',
    ],
    'jgo' => [
        'CM',
    ],
    'ksf' => [
        'CM',
    ],
    'agq' => [
        'CM',
    ],
    'ha_Arab' => [

    ],
    'nmg' => [
        'CM',
    ],
    'yav' => [
        'CM',
    ],
    'zh_Hans' => [
        'CN',
        'SG',
        'HK',
        'MO',
    ],
    'ii' => [
        'CN',
    ],
    'mn_Mong' => [

    ],
    'bo' => [
        'CN',
        'IN',
    ],
    'ky_Arab' => [

    ],
    'vi' => [
        'VN',
    ],
    'uz_Cyrl' => [
        'UZ',
    ],
    'kea' => [
        'CV',
    ],
    'cs' => [
        'CZ',
    ],
    'pl' => [
        'PL',
    ],
    'da' => [
        'DK',
        'GL',
    ],
    'ksh' => [
        'DE',
    ],
    'aa' => [
        'ET',
        'DJ',
        'ER',
    ],
    'so' => [
        'SO',
        'ET',
        'KE',
        'DJ',
    ],
    'fo' => [
        'FO',
    ],
    'kl' => [
        'GL',
    ],
    'kab' => [
        'DZ',
    ],
    'et' => [
        'EE',
    ],
    'ti' => [
        'ET',
        'ER',
    ],
    'tig' => [
        'ER',
    ],
    'ssy' => [
        'ER',
    ],
    'byn' => [
        'ER',
    ],
    'gl' => [
        'ES',
    ],
    'eu' => [
        'ES',
    ],
    'ast' => [
        'ES',
    ],
    'am' => [
        'ET',
    ],
    'om' => [
        'ET',
        'KE',
    ],
    'wal' => [
        'ET',
    ],
    'fi' => [
        'FI',
    ],
    'se' => [
        'NO',
        'FI',
    ],
    'hi' => [
        'IN',
    ],
    'br' => [
        'FR',
    ],
    'ia' => [
        'FR',
    ],
    'pa_Guru' => [
        'IN',
    ],
    'ks_Arab' => [
        'IN',
    ],
    'gd' => [
        'GB',
    ],
    'ga' => [
        'IE',
    ],
    'kw' => [
        'GB',
    ],
    'ka' => [
        'GE',
    ],
    'os' => [
        'GE',
        'RU',
    ],
    'ak' => [
        'GH',
    ],
    'ee' => [
        'GH',
        'TG',
    ],
    'ha_Latn' => [
        'NG',
        'NE',
        'GH',
    ],
    'ro' => [
        'RO',
        'MD',
    ],
    'sk' => [
        'SK',
    ],
    'id' => [
        'ID',
    ],
    'he' => [
        'IL',
    ],
    'gv' => [
        'IM',
    ],
    'te' => [
        'IN',
    ],
    'mr' => [
        'IN',
    ],
    'ta' => [
        'IN',
        'LK',
        'MY',
        'SG',
    ],
    'ur' => [
        'PK',
        'IN',
    ],
    'gu' => [
        'IN',
    ],
    'kn' => [
        'IN',
    ],
    'or' => [
        'IN',
    ],
    'as' => [
        'IN',
    ],
    'kok' => [
        'IN',
    ],
    'brx' => [
        'IN',
    ],
    'az_Arab' => [

    ],
    'is' => [
        'IS',
    ],
    'fur' => [
        'IT',
    ],
    'ki' => [
        'KE',
    ],
    'luy' => [
        'KE',
    ],
    'luo' => [
        'KE',
    ],
    'kam' => [
        'KE',
    ],
    'kln' => [
        'KE',
    ],
    'guz' => [
        'KE',
    ],
    'mer' => [
        'KE',
    ],
    'mas' => [
        'TZ',
        'KE',
    ],
    'ebu' => [
        'KE',
    ],
    'dav' => [
        'KE',
    ],
    'teo' => [
        'UG',
        'KE',
    ],
    'saq' => [
        'KE',
    ],
    'ky_Cyrl' => [
        'KG',
    ],
    'km' => [
        'KH',
    ],
    'kk_Cyrl' => [
        'KZ',
    ],
    'ug_Cyrl' => [

    ],
    'lo' => [
        'LA',
    ],
    'si' => [
        'LK',
    ],
    'vai_Vaii' => [
        'LR',
    ],
    'vai_Latn' => [
        'LR',
    ],
    'st' => [
        'ZA',
        'LS',
    ],
    'zu' => [
        'ZA',
    ],
    'ss' => [
        'ZA',
        'SZ',
    ],
    'xh' => [
        'ZA',
    ],
    'lt' => [
        'LT',
    ],
    'lv' => [
        'LV',
    ],
    'zgh' => [
        'MA',
    ],
    'tzm_Latn' => [
        'MA',
    ],
    'shi_Latn' => [
        'MA',
    ],
    'shi_Tfng' => [
        'MA',
    ],
    'uk' => [
        'UA',
    ],
    'mg' => [
        'MG',
    ],
    'bm_Latn' => [
        'ML',
    ],
    'ses' => [
        'ML',
    ],
    'bm_Nkoo' => [
        'ML',
    ],
    'khq' => [
        'ML',
    ],
    'mn_Cyrl' => [
        'MN',
    ],
    'mt' => [
        'MT',
    ],
    'mfe' => [
        'MU',
    ],
    'ts' => [
        'ZA',
    ],
    'seh' => [
        'MZ',
    ],
    'mgh' => [
        'MZ',
    ],
    'naq' => [
        'NA',
    ],
    'dje' => [
        'NE',
    ],
    'twq' => [
        'NE',
    ],
    'ig' => [
        'NG',
    ],
    'fy' => [
        'NL',
    ],
    'nb' => [
        'NO',
        'SJ',
    ],
    'nn' => [
        'NO',
    ],
    'fil' => [
        'PH',
    ],
    'pa_Arab' => [
        'PK',
    ],
    'tg_Arab' => [

    ],
    'sah' => [
        'RU',
    ],
    'eo' => [

    ],
    'dyo' => [
        'SN',
    ],
    'nus' => [

    ],
    'th' => [
        'TH',
    ],
    'tg_Cyrl' => [
        'TJ',
    ],
    'uz_Latn' => [
        'UZ',
    ],
    'to' => [
        'TO',
    ],
    'ky_Latn' => [

    ],
    'kde' => [
        'TZ',
    ],
    'bez' => [
        'TZ',
    ],
    'ksb' => [
        'TZ',
    ],
    'asa' => [
        'TZ',
    ],
    'lag' => [
        'TZ',
    ],
    'jmc' => [
        'TZ',
    ],
    'rof' => [
        'TZ',
    ],
    'vun' => [
        'TZ',
    ],
    'rwk' => [
        'TZ',
    ],
    'sbp' => [
        'TZ',
    ],
    'lg' => [
        'UG',
    ],
    'nyn' => [
        'UG',
    ],
    'cgg' => [
        'UG',
    ],
    'xog' => [
        'UG',
    ],
    'haw' => [
        'US',
    ],
    'chr' => [
        'US',
    ],
    'lkt' => [
        'US',
    ],
    'nso' => [
        'ZA',
    ],
    've' => [
        'ZA',
    ],
    'nr' => [
        'ZA',
    ],
    'bem' => [
        'ZM',
    ],
    'sn' => [
        'ZW',
    ],
    'nd' => [
        'ZW',
    ],
];
